package com.ruoyi.tc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.tc.entity.AssetSupplyChain;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 * 资产供应链信息(asset_supply_chain)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetSupplyChainMapper extends BaseMapper<AssetSupplyChain> {

    /**
     * 根据现有资产id查找最新一条的系统建设单位
     */
    AssetSupplyChain getJsdw(Long id);

    /**
     * 逻辑删除
     */
    void deleteByAssetIds(Long id);

    /**
     * 根据现有资产id查找最新一条的系统运营单位
     */
    AssetSupplyChain getYydw(Long id);



    /**
     * 删除
     * @param idList
     */
    void deleteIdList(@Param("idList") List<Long> idList);
}

